%{!?perlgen:%define perlgen 5.8}

Summary: DateTime-TimeZone Perl module
Name: perl-DateTime-TimeZone
Version: 0.59
Release: 8%{?dist}
Packager: Mike McCune
License: GPL or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/DateTime-TimeZone/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: perl-Module-Build
%if "%{perlgen}" == "5.8"
BuildRequires: perl >= 2:5.8.0
%else
BuildRequires: perl >= 1:5.6.0
%endif

Requires: %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')
Source0: DateTime-TimeZone-0.59.tar.gz
Source1: filter-depends-datetime-timezone.sh

BuildRequires: perl(Class::Singleton)
Requires: perl(Class::Singleton)
BuildRequires: perl(Params::Validate)
Requires: perl(Params::Validate)

# tests
BuildRequires: perl(Test::More)

%define __perl_requires %{SOURCE1}

%description
%{summary}.

%prep
%setup -q -n DateTime-TimeZone-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL destdir=$RPM_BUILD_ROOT  < /dev/null

make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT$installarchlib
%makeinstall

find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT -type f \
| sed "s@^$RPM_BUILD_ROOT@@g" \
> %{name}-%{version}-%{release}-filelist

eval `perl -V:archname -V:installsitelib -V:installvendorlib -V:installprivlib`
for d in $installsitelib $installvendorlib $installprivlib; do
  [ -z "$d" -o "$d" = "UNKNOWN" -o ! -d "$RPM_BUILD_ROOT$d" ] && continue
  find $RPM_BUILD_ROOT$d/* -type d \
  | grep -v "/$archname\(/auto\)\?$" \
  | sed "s@^$RPM_BUILD_ROOT@%dir @g" \
  >> %{name}-%{version}-%{release}-filelist
done

if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root,-)
%doc Changes LICENSE README

%changelog
* Wed Feb 25 2009 Devan Goodwin <dgoodwin@redhat.com> 0.59-8
- Rebuild for new rel-eng tools.
* Fri Jan 30 2009 Miroslav Suchý <msuchy@redhat.com> 0.59-7
- add perl(Test::More) to BR since F10 do not have it in perl
* Thu Oct 16 2008 Milan Zazrivec 0.59-6
- bumped release to be above what is in Satellite 5.2.0
* Thu Aug 28 2008 Mike McCune <mmccune@redhat.com> - 0.59-2
- spec file cleanup
* Sat Mar 10 2007 Mike McCune <mmccune@redhat.com> - 0.62
- update for new dst changes
* Wed Sep 01 2004 Chip Turner <cturner@redhat.com> - 0.28-1
- Specfile autogenerated.

